@import './../../../../../shared/styles/variables';

.case-tab-list {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 0;
	background-color: $background-color;
	margin: 0;
}

.case-tab {
	display: flex-inline;
	padding: 1em;
	min-width: 0;
	flex: auto;
	text-align: center;
	border-bottom: 2px solid transparent;
}

.case-tab-link {
	color: $grey;
}

.case-tab.selected {
	border-bottom: 2px solid $blue;
	.case-tab-link {
		color: $blue;
	}
}


// opschorten & termijn wijzigen dialog

[data-name="term_spec"],
[data-name="term"]{
	 .form-field-meta{
		display: none;
	}
}


[data-name="term_amount_type"],
[data-name="term_amount"],
[data-name="term_date"]
{
	display: inline-block;
}

[data-name="term_amount_type"],
[data-name="term_amount"]{
	margin-right:8px;
}

[data-name="term_amount"],
[data-name="term_date"]{
	input{
		padding:2px 5px;
		max-width:150px;
	}
}

[data-name="term_amount"]{
	input{
		max-width:60px;
	}
}

// vernietigingsdatum wijzigen dialog

[data-name="change"]{
	.form-field-meta{
		display: none;
	}
	.value-item{
		padding:0;
	}
}

// voeg geplande zaak toe dialog

[data-name="every"]{
	margin-top:10px;
}

[data-name="every"],
[data-name="repeat"]{
	.form-field-meta{
		padding:0;
		display: inline-block;
		min-width: 130px;
		label{
			font-size: 1rem;
		}
		.form-field-required{
			display: none;
		}
	}
	.form-field-control-wrapper{
		display: inline-block;
		.form-field-meta{
			display: none;
		}
		.vorm-field-item{
			display: inline-block;
			margin-left:8px;
			.value-item{
				padding:0;
			}
			input[type="number"]{
				padding:1px 5px;
				max-width:60px;
			}
		}
	}
}

.case-action-message-list {
	
	padding: 0;
	margin: 0;

	width: 450px;

	.case-action-message {

		padding: 0.5rem 1.5rem;

		display: flex;
		align-items: center;

		white-space: normal;

		&.help {
			background-color: $light-grey;
		}

		&.warning {
			background-color: $yellow;
		}
		&.error {
			background-color: $red;
			color: white;
		}

		.case-action-message-icon {
			font-size: 1.5rem;
			margin-right: 0.5rem;
		}
	}
}

[data-name="repeat"]{
	.form-field-control-wrapper{
		display: inline-block;	 
		.value-item{
			display: inline-block;
			margin-left:8px;
			input[type="number"]{
				padding:1px 5px;
				max-width:60px;
			}
		}
	}
}

.modal-warning{
	padding: 1.5rem;
  
	zs-icon{
		color:red;
		font-size:1.3rem;
	}

  .button-container {
	float: right;
	margin: 20px 10px;
  }
}